// @(#) ENIB/LI2 (c) - C++ Utilities
//--------------------------------------------------------------------------//
// file        : word.cpp                                                   //
// description : source file for the ENIB/LI2 class Word                    //
// author(s)   : F. Harrouet                                                //
// copyright   : Laboratoire d'Informatique Industrielle (LI2)              //
//               Ecole Nationale d'Ingenieurs de Brest (ENIB)               //
//               CP 30815 - 29608 Brest Cedex - FRANCE                      //
//               Tel: (33) 02.98.05.66.31 , Fax: (33) 02.98.05.66.29        //
//               e-mail: li2@enib.fr                                        //
//--------------------------------------------------------------------------//
// Copyright (c) 1996-2000                                                  //
// Laboratoire d'Informatique Industrielle (LI2)                            //
// Ecole Nationale d'Ingenieurs de Brest (ENIB)                             //
//                                                                          //
// Permission to use, copy, modify, distribute and sell this software       //
// and its documentation for any purpose is hereby granted without fee,     //
// provided that the above copyright notice appear in all copies and        //
// that both that copyright notice and this permission notice appear        //
// in supporting documentation.                                             //
// ENIB/LI2 makes no representations about the suitability of this          //
// software for any purpose.                                                //
// It is provided "as is" without express or implied warranty.              //
//--------------------------------------------------------------------------//


#include "Utility/word.h"

//--------------------------------------------------------------------------//
// class Word                                                               //
//--------------------------------------------------------------------------//

Word::DataMap * Word::_dataMap=(Word::DataMap *)0; // static

//-------- Static Methods --------------------------------------------------//
// inline bool Word::isKnown(const Strings & str) // static

//-------- Allocators ------------------------------------------------------//
// inline Word::Word(const Strings & str)

// inline Word::Word(const Word & w)

// inline Word::~Word(void)

//-------- Inspectors ------------------------------------------------------//
// inline const Strings & Word::getStrings(void) const

//-------- Comparisons -----------------------------------------------------//
// inline bool Word::operator==(const Word & w) const
 
// inline bool Word::operator!=(const Word & w) const
 
// inline bool Word::operator<(const Word & w) const

//-------- Input/Output ----------------------------------------------------//
ostream & operator<<(ostream & stream,const Word & w)
{
return(stream << *w._data->str);
}

//-------- Modifiers -------------------------------------------------------//
// inline Word & Word::operator=(const Word & w)

